v1.0
post
/ec-site-svc/rest/v1.0/contacts/validateFields
Validates contact fields present in input payload and returns the corresponding flag as either true or false.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : ContactFieldsDto
Type:
objectTitle:
ContactFieldsDtoPayload containing the contact fields to validate.
Show Source
-
contactFields: object
Field
Title:
FieldContains field details.
Nested Schema : Field
Type:
objectTitle:
FieldContains field details.
Show Source
-
fieldName: string
Title:
Field NameField name. The acceptable values are: TENANTID, STUDYID, COUNTRY, SITEID, INVID, INVNAM, USUBJID, SCRNID, SUBJID, VISITNUM, VISIT, UNSCHED, SVSTDTC, DOMAIN, LAB ID, LAB NAME, REPEATNUMBER, SREPEATID, SREPEATNUMBER, ENTERED BY, ENTERED DATE, LAST CHANGED BY, LAST CHANGED DATE etc.Example:TENANTID -
fieldValue: string
Title:
Field ValueValue reported for the field.Example:TENANT123 -
valueExists: boolean
Title:
Value ExistsIndicates whether the value already exists.Example:true
Example:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples